#pragma once

class CSocketUtil
{
public:
	CSocketUtil(void);
	~CSocketUtil(void);

public:

	static int _sh_send(SOCKET s, char *buf, int len);
	static int _sh_recv(SOCKET s, char *buf, int len);
	int _rtxTimer(int sec , SOCKET descriptor);
	CString get_first_rcts(const char *name);
	unsigned long conv_addr(const char *name);

	BOOL MessagePump(int nSleepDuration);

};
